<?php
include ("../conexion.php");

	
   session_start();
	if($_SESSION['tipo_usu']=='' ){

		header('location:../index.php');
		
		}else if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='v'  or $_SESSION['tipo_usu']=='t'  ){

        $usuario=($_SESSION['username']);
		
			
		 }else{


			header('location:acceso_denegado.php');

		}


if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$fechainicio=$array_cadena_busqueda[1];
	$fechafin=$array_cadena_busqueda[2];
} else {

	$fechainicio="";
	$fechafin="";
}

?>
<html>
	<head>
		<title>Facturas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {	
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("cdgcli").focus();
			document.getElementById("form_busqueda").submit();
			
		}
		
		function nueva_proforma() {
			location.href="nueva_proforma_super.php";
		}
		
		
	function imprimir_resumen() {

			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {

		
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;

	
	window.open("Reporte_Analitico_de_Ventas.php?fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
		
		
	
			
	function imprimir_detallado() {

			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {


			
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;

	
	window.open("Reporte_detalle_de_pedidos.php?fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
			
		
		
		function imprimir_excel() {

			
			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {

			
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;

	
	window.open("Reporte_Detallado_de_Pedidos_excel.php?fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
		

		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
		
			var fechafin=document.getElementById("fechafin").value;
			var fechainicio=document.getElementById("fechainicio").value;

			var cadena="";
			cadena="~"+fechainicio+"~"+fechafin+"~";
			return cadena;
			}
		
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			document.getElementById("form_busqueda").submit();
			
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=650,height=650,scrollbars=yes");
			miPopup.focus();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente_ini.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


 
  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
	buscar();
	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});



///////////////////////////////////////////////////////   Funcion combo dependiente familias y lineas *//////////////////////


$(document).ready(function(){
			cargar_familias();
			$("#Familia").change(function(){dependencia_Linea();});
			//$("#Linea").change(function(){dependencia_horarios();});
			//$("#hora").change(function(){dependencia_Precio();});
			$("#Linea").attr("disabled",true);
			//$("#hora").attr("disabled",true);
			//$("#Precio").attr("disabled",true);
				
		});

		function cargar_familias()
		{
			$.get("scripts/scripts/cargar-familias.php", function(resultado){
				if(resultado == false)
				{
					alert("Error");
				}
				else
				{
					$('#Familia').append(resultado);
				}
			});	
		}
		function dependencia_Linea()
		{
			var code = $("#Familia").val();
			$.get("scripts/scripts/dependencia-lineas.php", { code: code },function(resultado){
					if(resultado == false)
					{
						alert("Error");
					}
					else
					{
						$("#Linea").attr("disabled",false);
						document.getElementById("Linea").options.length=1;
						$('#Linea').append(resultado);			
					}
				}

			);
		}


		//function dependencia_horarios()
//		{
//			var code = $("#Familia").val();
//			$.get("scripts/scripts/dependencia-horarios.php", { code: code },
//				function(resultado)
//				{
//					if(resultado == false)
//					{
//						alert("Error");
//					}
//					else
//					{
//						$("#hora").attr("disabled",false);
//						document.getElementById("hora").options.length=1;
//						$('#hora').append(resultado);			
//					}
//				}
//
//			);
//		}
//		function dependencia_Precio()
//		{
//			var code = $("#Linea").val();
//			$.get("scripts/scripts/dependencia-Precios.php?", { code: code }, function(resultado){
//				if(resultado == false)
//				{
//					alert("Error");
//				}
//				else
//				{
//					$("#Precio").attr("disabled",false);
//					document.getElementById("Precio").options.length=1;
//					$('#Precio').append(resultado);			
//				}
//			});	
//			
//		}


		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoReporte">
				<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla_detalle_de_pedidos.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						
                        <tr>	
						  <td width="1%" rowspan="2">&nbsp;</td>
							<td width="11%">&nbsp;</td>
						    <td width="14%">&nbsp;</td>
						    <td colspan="3">&nbsp;</td>
						    <td width="16%" rowspan="3"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"></td>
					      <td width="9%" rowspan="2"><a  class="button" onClick="imprimir_detallado()" > PDF </a></td>
                          <td width="9%" rowspan="2">&nbsp;</td>
                        </tr>
                        <tr>
                          <td width="11%">Fecha Inicial</td>
                          <td width="14%"><input id="fechainicio" type="text" class="cajaGrande" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='fechafin';"  style='text-align:center;' onChange="comprobar_fechas()" value="" ></td>
                          <td colspan="3" align="center">Reporte Detallado de Pedidos </td>
                        </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Fecha Final</td>
						  <td><input id="fechafin" type="text" class="cajaGrande" name="fechafin" maxlength="10" value=""  onFocus="siguienteCampo ='fechainicio';"  style='text-align:center;' onChange="comprobar_fechas()" ></td>
						  <td width="15%">&nbsp;</td>
						  <td width="11%">&nbsp;</td>
						  <td width="14%">&nbsp;</td>
		                  <td width="9%"><a  class="button" onClick="imprimir_excel()" > Excel </a></td>
					      <td width="9%">&nbsp;</td>
					  </tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left"><input id="filas" type="hidden" class="cajaPequena" name="filas" maxlength="5"  readonly>                          </td>
                          <td width="48%">
                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>                            </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="10%"> CODIGO </td>
							<td width="34%">ARTICULO</td>
							<td width="11%">CANTIDAD</td>
							<td width="11%">SUBTOTAL</td>
							<td width="10%">DESC.</td>
							<td width="9%">IMPUESTO</td>
							<td width="8%">TOTAL</td>
							<td width="7%">&nbsp;</td>
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="390" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <table width="100%" border="0">
				      <tr>			          </tr>
				      <tr>			          </tr>
				      <tr>
			 <td width="50%">TOTALES</td>
		 <td width="2%" > <input  style='text-align:right;' size="8" name="cantidad" type="text" id="cantidad"  value="" align="right" readonly> </td>
		<td width="2%" > <input  style='text-align:right;' size="8" name="importe" type="text" id="importe"  value="" align="right" readonly> </td>
        <td width="2%"><input  style='text-align:right;'   size="8" name="mondes" type="text" id="mondes"  value="" align="right" readonly></td>
	     <td  width="2%" ><input  style='text-align:right;'   size="8" name="impuesto" type="text" id="impuesto"  value="" align="right" readonly></td>
		<td  width="2%" ><input  style='text-align:right;' size="8" name="total" type="text" id="total"  value="" align="right" readonly></td>
				 <td width="9%"></td>
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td >&nbsp;</td>
				        <td>&nbsp;</td>
				        <td >&nbsp;</td>
				        <td >&nbsp;</td>
			          </tr>
			      </table>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
